/*
    Created by Quo
*/
 

--LOGS
-- Debug
INSERT INTO tblQuoDebug 
	(DebugID, 		x_Open, x_Close, 	Message)
VALUES ('Quo_Siege_Code',	'1',	'0',		'') ;


-- SIEGE
-- All siege units have a range of at least 3
-- Coded out and replaced with a database scan
-- UPDATE Units SET Range=3 WHERE UnitType='UNIT_CATAPULT' ;
-- UPDATE Units SET Range=3 WHERE UnitType='UNIT_BOMBARD' ;
-- UPDATE Units SET Range=3 WHERE UnitType='UNIT_ARTILLERY' ;

-- Search for any units with siege characteristics in order to make sure units added by mods get this update
UPDATE Units SET Range=3 WHERE Range <=2 AND PromotionClass='PROMOTION_CLASS_SIEGE' ;


-- Lower them to 2 Move, but allow them to move and shoot on same turn
UPDATE Units SET BaseMoves=2 WHERE PromotionClass='PROMOTION_CLASS_SIEGE' ;

DELETE FROM TypeTags WHERE Type='ABILITY_NO_MOVE_AND_SHOOT' AND Tag='CLASS_SIEGE' ;


-- SIEGE TOWER
-- Remove by adding a trait no player can get
-- Note that altho we are using TRAIT_BARBARIAN, Barbs can't actually build this since its not on their build lists
UPDATE Units SET TraitType='TRAIT_BARBARIAN' WHERE UnitType='UNIT_SIEGE_TOWER' ;



-- No more urban defenses
DELETE FROM CivicModifiers WHERE CivicType='CIVIC_CIVIL_ENGINEERING' AND ModifierId='CIVIL_ENGINEERING_URBAN_DEFENSES' ;




-- UPDATE BUG TRACKER
-- This code should go last in every file


UPDATE tblQuoDebug SET x_Close='1' WHERE DebugID='Quo_Siege_Code';