/*
    Created by Quo
*/
 

-- Configuration
UPDATE LocalizedText SET Text= 'Quo Basic Rules' WHERE Tag='LOC_RULESET_NAME' ;

UPDATE LocalizedText SET Text= 'Various changes to balance. More forgiving than Hardcore mode.' WHERE Tag='LOC_RULESET_DESCRIPTION' ;



-- Scouts
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: Scouts start at level 2. This unit can embark onto coastal waters once you learn Astrology.)' WHERE Tag='LOC_UNIT_SCOUT_DESCRIPTION' ;


-- Swordsmen
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This unit has +5 [ICON_STRENGTH] Combat Strength than normal.)' WHERE Tag='LOC_UNIT_SWORDSMAN_DESCRIPTION' ;

-- Musketmen
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This unit does not require the Niter resource.)' WHERE Tag='LOC_UNIT_MUSKETMAN_DESCRIPTION' ;


-- Encampment
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: Encampments have no tech pre-req. Encampments are now required to build Walls.)' WHERE Tag='LOC_DISTRICT_ENCAMPMENT_DESCRIPTION' ;


-- Siege
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This unit has 3 Range, 2 Move, and can move and attack on the same turn.)' WHERE Tag='LOC_UNIT_CATAPULT_DESCRIPTION' ;
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This unit has 3 Range, 2 Move, and can move and attack on the same turn.)' WHERE Tag='LOC_UNIT_BOMBARD_DESCRIPTION' ;
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This unit has 3 Range, 2 Move, and can move and attack on the same turn.)' WHERE Tag='LOC_UNIT_ARTILLERY_DESCRIPTION' ;
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This unit can move and attack on the same turn.)' WHERE Tag='LOC_UNIT_ROCKET_ARTILLERY_DESCRIPTION' ;


-- Civil Engineering Civic
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: No longer provides Urban Defenses.)' WHERE Tag='LOC_CIVIC_CIVIL_ENGINEERING_DESCRIPTION' ;


-- City Center Adjacencies
UPDATE LocalizedText SET Text= '[ICON_CAPITAL] (Quo Mod: Allows Scouts to embark, and harvesting of [ICON_RESOURCE_FISH] Fish. City Centers receive +1 [ICON_PRODUCTION] Production per 2 adjacent ocean tiles.)' WHERE Tag='LOC_TECH_CELESTIAL_NAVIGATION_DESCRIPTION' ;
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: City Centers receive +1 [ICON_GOLD] Gold per 2 adjacent ocean tiles.)' WHERE Tag='LOC_TECH_SAILING_DESCRIPTION' ;
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: City Centers receive +1 [ICON_GOLD] Gold per 2 adjacenct ocean tiles.)' WHERE Tag='LOC_TECH_CARTOGRAPHY_DESCRIPTION' ;



-- Harbor
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: Unlocks at Astrology.)' WHERE Tag='LOC_DISTRICT_HARBOR_DESCRIPTION' ;


-- Holy Site
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: Provides +2 extra [ICON_GreatPerson] Great Prophet point per turn.)' WHERE Tag='LOC_DISTRICT_HOLY_SITE_DESCRIPTION' ;
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: Like the Holy Site it replaces, provides +2 extra [ICON_GreatPerson] Great Prophet point per turn.)' WHERE Tag='LOC_DISTRICT_LAVRA_DESCRIPTION' ;


-- Entertainment Complex
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: +5% [ICON_FOOD], [ICON_CULTURE], [ICON_GOLD], [ICON_SCIENCE], [ICON_PRODUCTION] or [ICON_FAITH] to this city per resource Expo in the Capital. To earn an Expo you must control more copies of a Luxury resource than any other player (minimum 3).)' WHERE Tag='LOC_DISTRICT_ENTERTAINMENT_COMPLEX_DESCRIPTION' ;
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: +5% [ICON_FOOD], [ICON_CULTURE], [ICON_GOLD], [ICON_SCIENCE], [ICON_PRODUCTION] or [ICON_FAITH] to this city per resource Expo.)' WHERE Tag='LOC_DISTRICT_STREET_CARNIVAL_DESCRIPTION' ;





-- Aqueducts & Baths
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: Provides +2 [ICON_FOOD] Food to Plantations and +1 toward [ICON_GreatPerson] Great Engineers.)' WHERE Tag='LOC_DISTRICT_AQUEDUCT_DESCRIPTION' ;
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: Provides +2 [ICON_FOOD] Food to Plantations and +1 toward [ICON_GreatPerson] Great Engineers.)' WHERE Tag='LOC_DISTRICT_BATH_DESCRIPTION' ;


-- Walls
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: Requires Barracks or Stable built in an Encampment.)' WHERE Tag='LOC_BUILDING_WALLS_DESCRIPTION' ;


-- Regional Buildings
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This building has x2 its normal yield output.)' WHERE Tag='LOC_BUILDING_FACTORY_DESCRIPTION' ;
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This building has x2 its normal yield output.)' WHERE Tag='LOC_BUILDING_ELECTRONICS_FACTORY_DESCRIPTION' ;
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This building provides 3 amenities.)' WHERE Tag='LOC_BUILDING_ZOO_DESCRIPTION' ;
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This building has x2 its normal yield output.)' WHERE Tag='LOC_BUILDING_POWER_PLANT_DESCRIPTION' ;





-- Stonehenge
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This building now unlocks at Masonry.)' WHERE Tag='LOC_BUILDING_STONEHENGE_DESCRIPTION' ;

-- Hanging G
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: Also provides +1 [ICON_FOOD] Food to Rainforest tiles in the city in which it is built.)' WHERE Tag='LOC_BUILDING_HANGING_GARDENS_DESCRIPTION';


UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This Wonder no longer requires an adjacent district.)' WHERE Tag='LOC_BUILDING_GREAT_LIGHTHOUSE_DESCRIPTION';
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This Wonder no longer requires an adjacent district.)' WHERE Tag='LOC_BUILDING_COLOSSUS_DESCRIPTION';
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This Wonder no longer requires an adjacent district.)' WHERE Tag='LOC_BUILDING_COLOSSEUM_DESCRIPTION';
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This Wonder no longer requires an adjacent district.)' WHERE Tag='LOC_BUILDING_GREAT_LIBRARY_DESCRIPTION';
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This Wonder no longer requires an adjacent district.)' WHERE Tag='LOC_BUILDING_MAHABODHI_TEMPLE_DESCRIPTION';
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This Wonder no longer requires an adjacent district.)' WHERE Tag='LOC_BUILDING_TERRACOTTA_ARMY_DESCRIPTION';
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This Wonder no longer requires an adjacent district.)' WHERE Tag='LOC_BUILDING_HAGIA_SOPHIA_DESCRIPTION';
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This Wonder no longer requires an adjacent district.)' WHERE Tag='LOC_BUILDING_ALHAMBRA_DESCRIPTION';
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This Wonder no longer requires an adjacent district.)' WHERE Tag='LOC_BUILDING_VENETIAN_ARSENAL_DESCRIPTION';
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This Wonder no longer requires an adjacent district.)' WHERE Tag='LOC_BUILDING_GREAT_ZIMBABWE_DESCRIPTION';
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This Wonder no longer requires an adjacent district.)' WHERE Tag='LOC_BUILDING_FORBIDDEN_CITY_DESCRIPTION';
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This Wonder no longer requires an adjacent district.)' WHERE Tag='LOC_BUILDING_RUHR_VALLEY_DESCRIPTION';
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This Wonder no longer requires an adjacent district.)' WHERE Tag='LOC_BUILDING_BOLSHOI_THEATRE_DESCRIPTION';
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This Wonder no longer requires an adjacent district.)' WHERE Tag='LOC_BUILDING_OXFORD_UNIVERSITY_DESCRIPTION';
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This Wonder no longer requires an adjacent district.)' WHERE Tag='LOC_BUILDING_BIG_BEN_DESCRIPTION';
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This Wonder no longer requires an adjacent district.)' WHERE Tag='LOC_BUILDING_EIFFEL_TOWER_DESCRIPTION';
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This Wonder no longer requires an adjacent district.)' WHERE Tag='LOC_BUILDING_BROADWAY_DESCRIPTION';
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This Wonder no longer requires an adjacent district.)' WHERE Tag='LOC_BUILDING_ESTADIO_DO_MARACANA_DESCRIPTION';
UPDATE LocalizedText SET Text=Text || '  [ICON_CAPITAL](Quo Mod: This Wonder no longer requires an adjacent district.)' WHERE Tag='LOC_BUILDING_SYDNEY_OPERA_HOUSE_DESCRIPTION';

-- wonder era names
UPDATE LocalizedText SET Text= Text || ' (Ancient)' WHERE Tag='LOC_BUILDING_HANGING_GARDENS_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Ancient)' WHERE Tag='LOC_BUILDING_ORACLE_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Ancient)' WHERE Tag='LOC_BUILDING_PYRAMIDS_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Ancient)' WHERE Tag='LOC_BUILDING_STONEHENGE_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Atomic)' WHERE Tag='LOC_BUILDING_ESTADIO_DO_MARACANA_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Atomic)' WHERE Tag='LOC_BUILDING_SYDNEY_OPERA_HOUSE_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Classical)' WHERE Tag='LOC_BUILDING_COLOSSEUM_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Classical)' WHERE Tag='LOC_BUILDING_COLOSSUS_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Classical)' WHERE Tag='LOC_BUILDING_GREAT_LIBRARY_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Classical)' WHERE Tag='LOC_BUILDING_GREAT_LIGHTHOUSE_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Classical)' WHERE Tag='LOC_BUILDING_MAHABODHI_TEMPLE_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Classical)' WHERE Tag='LOC_BUILDING_PETRA_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Classical)' WHERE Tag='LOC_BUILDING_TERRACOTTA_ARMY_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Industrial)' WHERE Tag='LOC_BUILDING_BIG_BEN_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Industrial)' WHERE Tag='LOC_BUILDING_BOLSHOI_THEATRE_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Industrial)' WHERE Tag='LOC_BUILDING_HERMITAGE_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Industrial)' WHERE Tag='LOC_BUILDING_OXFORD_UNIVERSITY_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Industrial)' WHERE Tag='LOC_BUILDING_RUHR_VALLEY_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Medieval)' WHERE Tag='LOC_BUILDING_ALHAMBRA_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Medieval)' WHERE Tag='LOC_BUILDING_CHICHEN_ITZA_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Medieval)' WHERE Tag='LOC_BUILDING_HAGIA_SOPHIA_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Medieval)' WHERE Tag='LOC_BUILDING_HUEY_TEOCALLI_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Medieval)' WHERE Tag='LOC_BUILDING_MONT_ST_MICHEL_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Modern)' WHERE Tag='LOC_BUILDING_BROADWAY_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Modern)' WHERE Tag='LOC_BUILDING_CRISTO_REDENTOR_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Modern)' WHERE Tag='LOC_BUILDING_EIFFEL_TOWER_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Renaissance)' WHERE Tag='LOC_BUILDING_FORBIDDEN_CITY_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Renaissance)' WHERE Tag='LOC_BUILDING_GREAT_ZIMBABWE_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Renaissance)' WHERE Tag='LOC_BUILDING_POTALA_PALACE_NAME' ;
UPDATE LocalizedText SET Text= Text || ' (Renaissance)' WHERE Tag='LOC_BUILDING_VENETIAN_ARSENAL_NAME' ;



-- Beliefs

UPDATE LocalizedText SET Text='[ICON_CAPITAL](Quo Mod: +1 [ICON_PRODUCTION] Production from Fishing Boats. +2% [ICON_PRODUCTION] Production toward Harbor Districts per city following pantheon.)' WHERE Tag='LOC_BELIEF_GOD_OF_THE_SEA_DESCRIPTION' ;

UPDATE LocalizedText SET Text='[ICON_CAPITAL](Quo Mod: +1 [ICON_CULTURE] Culture from Pastures. Recon units ignore closed borders.)' WHERE Tag='LOC_BELIEF_GOD_OF_THE_OPEN_SKY_DESCRIPTION' ;

UPDATE LocalizedText SET Text='[ICON_CAPITAL](Quo Mod: +1 [ICON_CULTURE] Culture from all Plantations and immediately obtain 4 extra tiles when you found a city.)' WHERE Tag='LOC_BELIEF_ORAL_TRADITION_DESCRIPTION' ;

UPDATE LocalizedText SET Text='[ICON_CAPITAL](Quo Mod: +1 [ICON_FOOD] Food from all Plantations. +3% [ICON_PRODUCTION] Production towards Entertainment Districts per city following pantheon.)' WHERE Tag='LOC_BELIEF_GODDESS_OF_FESTIVALS_DESCRIPTION' ;

UPDATE LocalizedText SET Text='[ICON_CAPITAL](Quo Mod: +2 [ICON_PRODUCTION] from Mines over Strategic Resources. Reveals Iron and Niter on the map.)' WHERE Tag='LOC_BELIEF_GOD_OF_CRAFTSMEN_DESCRIPTION' ;

UPDATE LocalizedText SET Text='[ICON_CAPITAL](Quo Mod: +2 [ICON_PRODUCTION] from Mines over Strategic Resources. Reveal location of Iron and Niter deposits.)' WHERE Tag='LOC_BELIEF_STONE_CIRCLES_DESCRIPTION' ;

UPDATE LocalizedText SET Text='[ICON_CAPITAL](Quo Mod: +1 [ICON_FOOD] Food from camps and +15% [ICON_PRODUCTION] Production toward Ranged units of any era.)' WHERE Tag='LOC_BELIEF_GODDESS_OF_THE_HUNT_DESCRIPTION' ;

UPDATE LocalizedText SET Text='[ICON_CAPITAL](Quo Mod: +2 [ICON_Faith] Faith from Quarries and +200% [ICON_PRODUCTION] Production toward Stonehenge.)' WHERE Tag='LOC_BELIEF_STONE_CIRCLES_DESCRIPTION' ;

UPDATE LocalizedText SET Text='[ICON_CAPITAL](Quo Mod: Border expansion rate is 15% higher. +1 [ICON_TRADEROUTE] max Trade Route capacity.)' WHERE Tag='LOC_BELIEF_RELIGIOUS_SETTLEMENTS_DESCRIPTION' ;

UPDATE LocalizedText SET Text='[ICON_CAPITAL](Quo Mod: +40% [ICON_PRODUCTION] Production toward Ancient and Classical Wonders.)' WHERE Tag='LOC_BELIEF_MONUMENT_TO_THE_GODS_DESCRIPTION' ;

UPDATE LocalizedText SET Text='[ICON_CAPITAL](Quo Mod: +1 Amenity to all City Centers on rivers.)' WHERE Tag='LOC_BELIEF_RIVER_GODDESS_DESCRIPTION' ;

UPDATE LocalizedText SET Text='[ICON_CAPITAL](Quo Mod: +1 [ICON_FAITH] from Mines over Luxury and Bonus resources, and immediately receive 300 [ICON_GOLD] Gold, adjusted for game speed.)' WHERE Tag='LOC_BELIEF_RELIGIOUS_IDOLS_DESCRIPTION' ;

UPDATE LocalizedText SET Text='[ICON_CAPITAL](Quo Mod: City growth rate of all cities is +10% higher, and +3 [ICON_FOOD] Food in the capital.)' WHERE Tag='LOC_BELIEF_FERTILITY_RITES_DESCRIPTION' ;



-- Friendships
UPDATE LocalizedText SET Text= Text || '[NEWLINE][NEWLINE][ICON_CAPITAL](Quo Mod: Befriending adds +25% [ICON_PRODUCTION] toward Industrial Zones.)' WHERE Tag='LOC_AGENDA_IRON_CROWN_DESCRIPTION' ;
UPDATE LocalizedText SET Text= Text || '[NEWLINE][NEWLINE][ICON_CAPITAL](Quo Mod: Befriending allows Builders to construct Chateaus.)' WHERE Tag='LOC_AGENDA_BLACK_QUEEN_DESCRIPTION' ;
UPDATE LocalizedText SET Text= Text || '[NEWLINE][NEWLINE][ICON_CAPITAL](Quo Mod: Befriending provides +2 [ICON_TRADEROUTES] Trade Route slots.)' WHERE Tag='LOC_AGENDA_QUEEN_OF_THE_NILE_DESCRIPTION' ;
UPDATE LocalizedText SET Text= Text || '[NEWLINE][NEWLINE][ICON_CAPITAL](Quo Mod: Befriending allows Builders to construct Stepwells.)' WHERE Tag='LOC_AGENDA_PEACEKEEPER_DESCRIPTION' ;
UPDATE LocalizedText SET Text= Text || '[NEWLINE][NEWLINE][ICON_CAPITAL](Quo Mod: Befriending allows Builders to construct Ziggurats.)' WHERE Tag='LOC_AGENDA_ALLY_OF_ENKIDU_DESCRIPTION' ;
UPDATE LocalizedText SET Text= Text || '[NEWLINE][NEWLINE][ICON_CAPITAL](Quo Mod: Befriending provides +2 influence points per turn toward diplomatic tokens with City States.)' WHERE Tag='LOC_AGENDA_WITH_YOUR_SHIELD_OR_ON_IT_DESCRIPTION' ;
UPDATE LocalizedText SET Text= Text || '[NEWLINE][NEWLINE][ICON_CAPITAL](Quo Mod: Befriending allows boats to heal outside of friendly borders.)' WHERE Tag='LOC_AGENDA_LAST_VIKING_KING_DESCRIPTION' ;
UPDATE LocalizedText SET Text= Text || '[NEWLINE][NEWLINE][ICON_CAPITAL](Quo Mod: Befriending adds +25% [ICON_PRODUCTION] toward Encampments.)' WHERE Tag='LOC_AGENDA_BUSHIDO_DESCRIPTION' ;
UPDATE LocalizedText SET Text= Text || '[NEWLINE][NEWLINE][ICON_CAPITAL](Quo Mod: Befriending adds +1 [ICON_FOOD] in every city.)' WHERE Tag='LOC_AGENDA_ENTHUSIASTIC_DISCIPLE_DESCRIPTION' ;
UPDATE LocalizedText SET Text= Text || '[NEWLINE][NEWLINE][ICON_CAPITAL](Quo Mod: Befriending restores 10% of the cost after a Great Person is earned.)' WHERE Tag='LOC_AGENDA_GREAT_PERSON_OBSESSED_DESCRIPTION' ;
UPDATE LocalizedText SET Text= Text || '[NEWLINE][NEWLINE][ICON_CAPITAL](Quo Mod: Befriending provides +2 influence points per turn toward diplomatic tokens with City States.)' WHERE Tag='LOC_AGENDA_DELIAN_LEAGUE_DESCRIPTION' ;
UPDATE LocalizedText SET Text= Text || '[NEWLINE][NEWLINE][ICON_CAPITAL](Quo Mod: Befriending causes newly settled cities to grab extra tiles.)' WHERE Tag='LOC_AGENDA_WESTERNIZER_DESCRIPTION' ;
UPDATE LocalizedText SET Text= Text || '[NEWLINE][NEWLINE][ICON_CAPITAL](Quo Mod: Befriending allows Builders to construct Missions.)' WHERE Tag='LOC_AGENDA_COUNTER_REFORMER_DESCRIPTION' ;
UPDATE LocalizedText SET Text= Text || '[NEWLINE][NEWLINE][ICON_CAPITAL](Quo Mod: Befriending grants +1 charge to Builders.)' WHERE Tag='LOC_AGENDA_WONDER_OBSESSED_DESCRIPTION' ;
UPDATE LocalizedText SET Text= Text || '[NEWLINE][NEWLINE][ICON_CAPITAL](Quo Mod: Befriending provides +8 [ICON_SCIENCE] Science in the capital.)' WHERE Tag='LOC_AGENDA_AYYUBID_DYNASTY_DESCRIPTION' ;
UPDATE LocalizedText SET Text= Text || '[NEWLINE][NEWLINE][ICON_CAPITAL](Quo Mod: Befriending allows units to heal 25 HP when they defeat an enemy unit.)' WHERE Tag='LOC_AGENDA_BACKSTAB_AVERSE_DESCRIPTION' ;
UPDATE LocalizedText SET Text= Text || '[NEWLINE][NEWLINE][ICON_CAPITAL](Quo Mod: Befriending grants free roads when you settle a new city, if it is within trade route range.)' WHERE Tag='LOC_AGENDA_OPTIMUS_PRINCEPS_DESCRIPTION' ;
UPDATE LocalizedText SET Text= Text || '[NEWLINE][NEWLINE][ICON_CAPITAL](Quo Mod: Befriending reduces the Gold cost of tile purchases by 20%.)' WHERE Tag='LOC_AGENDA_BIG_STICK_POLICY_DESCRIPTION' ;
UPDATE LocalizedText SET Text= Text || '[NEWLINE][NEWLINE][ICON_CAPITAL](Quo Mod: Befriending adds +25% [ICON_PRODUCTION] Production toward Harbors.)' WHERE Tag='LOC_AGENDA_SUN_NEVER_SETS_DESCRIPTION' ;

-- dlc
UPDATE LocalizedText SET Text= Text || '[NEWLINE][NEWLINE][ICON_CAPITAL](Quo Mod: Befriending adds +4 [ICON_STRENGTH] Strength to all units.)' WHERE Tag='LOC_AGENDA_TLATOANI_DESCRIPTION' ;
UPDATE LocalizedText SET Text= Text || '[NEWLINE][NEWLINE][ICON_CAPITAL](Quo Mod: Befriending allows you to culture bomb with Encampments.)' WHERE Tag='LOC_AGENDA_SAINT_DESCRIPTION' ;
UPDATE LocalizedText SET Text= Text || '[NEWLINE][NEWLINE][ICON_CAPITAL](Quo Mod: Befriending allows Builders to construct Outback Stations.)' WHERE Tag='LOC_AGENDA_PERPETUALLY_ON_GUARD_DESCRIPTION' ;

UPDATE LocalizedText SET Text= Text || '[NEWLINE][NEWLINE][ICON_CAPITAL](Quo Mod: Befriending reduces War Weariness in cities by 50%.)' WHERE Tag='LOC_AGENDA_SHORT_LIFE_GLORY_DESCRIPTION' ;
UPDATE LocalizedText SET Text= Text || '[NEWLINE][NEWLINE][ICON_CAPITAL](Quo Mod: Befriending removes penalties to occupied cities.)' WHERE Tag='LOC_AGENDA_BACKSTABBER_DESCRIPTION' ;
